Bug 870424 - Clean Tasks from DBMS when a Process ends
Clean Tasks from DBMS when a Process ends
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: jBPM 5 (Show other bugs)
BRMS 5.3.0.GA
Unspecified Unspecified
high Severity high
: CR1
: BRMS 5.3.1 GA
Assigned To: Kris Verlaenen
Marek Winkler
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-26 08:55 EDT by Martin Weiler
Modified: 2017-12-07 18:34 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
If a process ends when persistence is enabled, the process is removed from the DBMS ProcessInstanceInfo table. However, the task table and the data related to the process are not deleted from the DBMS, causing an unnecessary growth of DBMS data. This has been resolved with the implementation of a TaskCleanUpProcessEventListener that cleans up tasks when the process instance related to them ends.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBPM-3543 None None None 2016-10-25 08:02 EDT

  None (edit)
Description Martin Weiler 2012-10-26 08:55:59 EDT
Description of problem:
Platform issue for https://issues.jboss.org/browse/JBPM-3543, to ensure this makes it into the platform, and to verify that no orphaned records remain in the database after the task has been ended.

With persistence enabled,when a process ends, it is removed from DBMS (ProcessInstanceInfo table)
However the tasks (Task table) and their data (Content table,PeopleAssignments* table,I18NText) related to the process are not deleted from DBMS causing an unnecessary growth of DBMS data.
Comment 1 Kris Verlaenen 2012-10-31 09:44:01 EDT
We actually have an implementation in the community that cleans up tasks when the process instance related to it ends:
https://github.com/droolsjbpm/jbpm/blob/master/jbpm-human-task/jbpm-human-task-core/src/main/java/org/jbpm/task/admin/TaskCleanUpProcessEventListener.java

I don't think this is available in the product branch (5.2.x) however, but we can cherry-pick this.
Comment 2 Rajesh Rajasekaran 2012-10-31 11:39:37 EDT
This issue was agreed as a blocker, and has pm_ack. If we can commit to fixing this in the product branch, I will set the release flag for 5.3.1. Kris, can you comment?
Comment 4 Douglas Hoffman 2012-11-08 23:00:47 EST
Complied information for Release Note purposes. Thanks for updates.

- Doug
Comment 5 Marek Winkler 2012-11-14 11:37:56 EST
The data from Content table are not cleared after the process finishes. Other tables seem to be cleared properly.

I have added more verifications into the test case: https://github.com/droolsjbpm/jbpm/pull/144
Comment 6 Mauricio Salatino 2012-11-15 06:24:49 EST
Merged in 5.2.x and solved.
Comment 7 JBoss JIRA Server 2012-11-15 06:57:53 EST
Mauricio Salatino <salaboy@gmail.com> updated the status of jira JBPM-3543 to Closed
Comment 8 JBoss JIRA Server 2012-11-15 06:57:53 EST
Mauricio Salatino <salaboy@gmail.com> made a comment on jira JBPM-3543

- fixed in master and in 5.2.x
Comment 9 Marek Winkler 2012-12-03 10:01:08 EST
Verified on 5.3.1.BRMS CR1.
Comment 13 Bugzilla account termination 2017-12-07 18:34:02 EST
Employee 'msalatin@redhat.com' has left the company.

Note You need to log in before you can comment on or make changes to this bug.